APIs

1 - Approve PrivateLink Endpoint

1.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/approval

Description

PrivateLink Endpoint 승인

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointApproval

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

2 - Check Function Name Duplication

2.1 - 1.2

get /v1/cloud-functions/check-duplication

Description

Cloud Function 이름 중복 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
이름
Example : sample-function-name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDuplicationShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/check-duplication?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "result": true
}

2.2 - 1.1

get /v1/cloud-functions/check-duplication

Description

Cloud Function 이름 중복 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
이름
Example : sample-function-name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDuplicationShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/check-duplication?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "result": true
}

2.3 - 1.0

get /v1/cloud-functions/check-duplication

Description

Cloud Function 이름 중복 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryname
required
이름
Example : sample-function-name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDuplicationShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/check-duplication?name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "result": true
}

3 - Connect PrivateLink Endpoint

3.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/connection

Description

PrivateLink Endpoint 연결

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointConnection

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/connection

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "RECONNECT"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

4 - Create Cloud Function

4.1 - 1.2

post /v1/cloud-functions

Description

Cloud Function 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}

4.2 - 1.1

post /v1/cloud-functions

Description

Cloud Function 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}

4.3 - 1.0

post /v1/cloud-functions

Description

Cloud Function 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CloudFunctionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCloudFunctionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "content": "sample",
    "name": "sample-function-name",
    "runtime": "Node.js:20",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "message": "Description",
    "state": "READY"
}

5 - Create Cloud Function Apigateway Trigger

5.1 - 1.2

post /v1/triggers/apigateway

Description

Cloud Function 트리거 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApigatewayTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/apigateway

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "apigateway_api_id": "31e749b7b260868f441e862b",
    "apigateway_stage_name": "sample",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

5.2 - 1.1

post /v1/triggers/apigateway

Description

Cloud Function 트리거 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApigatewayTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/apigateway

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "apigateway_api_id": "31e749b7b260868f441e862b",
    "apigateway_stage_name": "sample",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

5.3 - 1.0

post /v1/triggers/apigateway

Description

Cloud Function 트리거 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ApigatewayTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/apigateway

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "apigateway_api_id": "31e749b7b260868f441e862b",
    "apigateway_stage_name": "sample",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

6 - Create Cloud Function Cronjob Trigger

6.1 - 1.2

post /v1/triggers/cronjob

Description

Cloud Function 트리거 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CronjobTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

6.2 - 1.1

post /v1/triggers/cronjob

Description

Cloud Function 트리거 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CronjobTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

6.3 - 1.0

post /v1/triggers/cronjob

Description

Cloud Function 트리거 생성

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CronjobTriggerCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

7 - Create PrivateLink Endpoint

7.1 - 1.2

post /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Description

PrivateLink Endpoint 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "endpoint": {
        "alias": "sample",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656"
    }
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

8 - Delete Cloud Function

8.1 - 1.2

delete /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 204

8.2 - 1.1

delete /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 204

8.3 - 1.0

delete /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 204

9 - Delete Cloud Function Trigger

9.1 - 1.2

delete /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

TriggerDeleteRequest

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

Example HTTP response

Response 204

9.2 - 1.1

delete /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

TriggerDeleteRequest

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

Example HTTP response

Response 204

9.3 - 1.0

delete /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 삭제

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

TriggerDeleteRequest

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

Example HTTP response

Response 204

10 - Delete PrivateLink Endpoint

10.1 - 1.2

delete /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}

Description

PrivateLink Endpoint 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 204

11 - List Cloud Function Triggers

11.1 - 1.2

get /v1/triggers

Description

Cloud Function 트리거 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
querycloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytrigger_name
optional
트리거 타입
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]None
querytrigger_type
optional
트리거 타입
Example : apigateway
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTriggersResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers?cloud_function_id={cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "count": 20,
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

11.2 - 1.1

get /v1/triggers

Description

Cloud Function 트리거 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
querycloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytrigger_name
optional
트리거 타입
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]None
querytrigger_type
optional
트리거 타입
Example : apigateway
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTriggersResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers?cloud_function_id={cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "count": 20,
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

11.3 - 1.0

get /v1/triggers

Description

Cloud Function 트리거 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
querycloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytrigger_name
optional
트리거 타입
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
any of [string, null]None
querytrigger_type
optional
트리거 타입
Example : apigateway
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKTriggersResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers?cloud_function_id={cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "count": 20,
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

12 - List Cloud Functions

12.1 - 1.2

get /v1/cloud-functions

Description

Cloud Function 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
이름
Example : sample-function-name
any of [string, null]None
querystate
optional
함수 상태
Example : READY
any of [array[string], string, null]None
queryruntime
optional
런타임
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

12.2 - 1.1

get /v1/cloud-functions

Description

Cloud Function 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
이름
Example : sample-function-name
any of [string, null]None
querystate
optional
함수 상태
Example : READY
any of [array[string], string, null]None
queryruntime
optional
런타임
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

12.3 - 1.0

get /v1/cloud-functions

Description

Cloud Function 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
이름
Example : sample-function-name
any of [string, null]None
querystate
optional
함수 상태
Example : READY
any of [array[string], string, null]None
queryruntime
optional
런타임
Example : Node.js:20
any of [array[string], string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "cloud_functions": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "created_at": "2025-05-22T06:21:17.580522",
            "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
            "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "name": "sample",
            "runtime": "Node.js:20",
            "state": "READY",
            "user_id": "617b3d0e90c24a5fa1f65a3824861354"
        }
    ],
    "count": 20
}

13 - List Runtimes

13.1 - 1.2

get /v1/cloud-functions/runtimes

Description

Runtime 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Responses

HTTP CodeDescriptionSchema
200OKRuntimeListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/runtimes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "count": "3",
    "runtimes": [
        {
            "base_image_seq": "3",
            "name": "sample",
            "version": "1.0.0"
        }
    ]
}

13.2 - 1.1

get /v1/cloud-functions/runtimes

Description

Runtime 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Responses

HTTP CodeDescriptionSchema
200OKRuntimeListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/runtimes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "count": "3",
    "runtimes": [
        {
            "base_image_seq": "3",
            "name": "sample",
            "version": "1.0.0"
        }
    ]
}

13.3 - 1.0

get /v1/cloud-functions/runtimes

Description

Runtime 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Responses

HTTP CodeDescriptionSchema
200OKRuntimeListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/runtimes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "count": "3",
    "runtimes": [
        {
            "base_image_seq": "3",
            "name": "sample",
            "version": "1.0.0"
        }
    ]
}

14 - List Sample Codes

14.1 - 1.2

get /v1/cloud-functions/sample-codes

Description

Sample 코드 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Responses

HTTP CodeDescriptionSchema
200OKSampleCodesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/sample-codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "count": "3",
    "sample_codes": [
        {
            "content": "sample",
            "default": false,
            "description": "sample",
            "name": "sample",
            "runtime": "Node.js:20",
            "seq": "3",
            "version": "sample"
        }
    ]
}

14.2 - 1.1

get /v1/cloud-functions/sample-codes

Description

Sample 코드 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Responses

HTTP CodeDescriptionSchema
200OKSampleCodesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/sample-codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "count": "3",
    "sample_codes": [
        {
            "content": "sample",
            "default": false,
            "description": "sample",
            "name": "sample",
            "runtime": "Node.js:20",
            "seq": "3",
            "version": "sample"
        }
    ]
}

14.3 - 1.0

get /v1/cloud-functions/sample-codes

Description

Sample 코드 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Responses

HTTP CodeDescriptionSchema
200OKSampleCodesListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/sample-codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "count": "3",
    "sample_codes": [
        {
            "content": "sample",
            "default": false,
            "description": "sample",
            "name": "sample",
            "runtime": "Node.js:20",
            "seq": "3",
            "version": "sample"
        }
    ]
}

15 - Request PrivateLink Endpoint

15.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/request

Description

PrivateLink Endpoint 요청

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "CANCEL"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}

16 - Show Cloud Function

16.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 상세 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "cloud_function": {
        "account_id": "617b3d0e90c24a5fa1f65a3824861354",
        "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
        "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "name": "sample",
        "runtime": "Node.js:20",
        "state": "READY",
        "user_id": "617b3d0e90c24a5fa1f65a3824861354"
    }
}

16.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 상세 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "cloud_function": {
        "account_id": "617b3d0e90c24a5fa1f65a3824861354",
        "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
        "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "name": "sample",
        "runtime": "Node.js:20",
        "state": "READY",
        "user_id": "617b3d0e90c24a5fa1f65a3824861354"
    }
}

16.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}

Description

Cloud Function 상세 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCloudFunctionShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "cloud_function": {
        "account_id": "617b3d0e90c24a5fa1f65a3824861354",
        "function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
        "id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "name": "sample",
        "runtime": "Node.js:20",
        "state": "READY",
        "user_id": "617b3d0e90c24a5fa1f65a3824861354"
    }
}

17 - Show Cloud Function Code

17.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

17.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

17.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

18 - Show Cloud Function Configuration

18.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/configurations

Description

Cloud Function 구성 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKConfigurationV1Dot2
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "config": {
        "max_scale": "5",
        "memory": "256",
        "min_scale": "1",
        "timeout": "100"
    },
    "privatelink_endpoints": [],
    "privatelink_service": {
        "private_url": "https://sample.scf.private.kr-west1.e.samsungsdscloud.com",
        "privatelink_service_enabled": true,
        "privatelink_service_id": "ba30549f550141ef9af6546543s",
        "privatelink_service_name": "PRIVATELINKSERVICE",
        "requested_endpoints": []
    },
    "url": {
        "allow_ips": [
            ""
        ],
        "auth_type": "NONE",
        "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
        "public_ip_acl_enabled": true,
        "url_enabled": true
    },
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

18.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/configurations

Description

Cloud Function 구성 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKConfiguration
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "config": {
        "max_scale": "5",
        "memory": "256",
        "min_scale": "1",
        "timeout": "100"
    },
    "url": {
        "allow_ips": [
            ""
        ],
        "auth_type": "NONE",
        "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
        "public_ip_acl_enabled": true,
        "url_enabled": true
    },
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

18.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/configurations

Description

Cloud Function 구성 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone

Responses

HTTP CodeDescriptionSchema
200OKConfiguration
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "config": {
        "max_scale": "5",
        "memory": "256",
        "min_scale": "1",
        "timeout": "100"
    },
    "url": {
        "allow_ips": [
            ""
        ],
        "auth_type": "NONE",
        "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
        "public_ip_acl_enabled": true,
        "url_enabled": true
    },
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

19 - Show Cloud Function Logs

19.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/logs

Description

Cloud Function Log 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/logs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "count": "3",
    "logs": [
        {
            "log": "[2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST",
            "time": "2025-05-17 00:23:17"
        }
    ]
}

19.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/logs

Description

Cloud Function Log 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/logs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "count": "3",
    "logs": [
        {
            "log": "[2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST",
            "time": "2025-05-17 00:23:17"
        }
    ]
}

19.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/logs

Description

Cloud Function Log 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLogShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/logs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "count": "3",
    "logs": [
        {
            "log": "[2025-05-12 11:04:12] START RequestId : 04680bac - ad76-4e0a-997e-e35b6275cb67 Version : $LATEST",
            "time": "2025-05-17 00:23:17"
        }
    ]
}

20 - Show Cloud Function Metrics

20.1 - 1.2

get /v1/cloud-functions/{cloud_function_id}/metrics

Description

Cloud Function Metric 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKMetricShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "actual_pods": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "fail_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "function_memory": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_latency": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "success_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ]
}

20.2 - 1.1

get /v1/cloud-functions/{cloud_function_id}/metrics

Description

Cloud Function Metric 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKMetricShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "actual_pods": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "fail_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "function_memory": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_latency": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "success_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ]
}

20.3 - 1.0

get /v1/cloud-functions/{cloud_function_id}/metrics

Description

Cloud Function Metric 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
querytime
optional
시간
Example : 3
any of [integer, null]None
querystart
optional
시작 일자
Example : 20250517
any of [string, null]None
queryend
optional
종료 일자
Example : 20250517
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKMetricShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/metrics

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "actual_pods": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "fail_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "function_memory": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "request_latency": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ],
    "success_count": [
        {
            "metric_data": "1.0033444816053512",
            "time": "16:37"
        }
    ]
}

21 - Show Cloud Function Trigger

21.1 - 1.2

get /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 상세 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone

Responses

HTTP CodeDescriptionSchema
200OKTrigger
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo",
    "trigger_id": 1,
    "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
    "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

21.2 - 1.1

get /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 상세 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone

Responses

HTTP CodeDescriptionSchema
200OKTrigger
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo",
    "trigger_id": 1,
    "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
    "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

21.3 - 1.0

get /v1/triggers/{trigger_id}

Description

Cloud Function 트리거 상세 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone

Responses

HTTP CodeDescriptionSchema
200OKTrigger
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo",
    "trigger_id": 1,
    "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_sid": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
    "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
    "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "trigger_type": "apigateway"
}

22 - Update Cloud Function Code

22.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "content": "print(\"Hello World\")"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

22.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "content": "print(\"Hello World\")"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

22.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/codes

Description

Cloud Function 코드 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "content": "print(\"Hello World\")"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

23 - Update Cloud Function Code File

23.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/codes/file

Description

Cloud Function 코드 파일 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeFile

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes/file

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "class_name": "com.example.Handler",
    "method_name": "handleRequest",
    "obs_url": "https://obs.kr-east1.scp-in.com:8443/sample/java-sample-1.0-SNAPSHOT.jar"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

23.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/codes/file

Description

Cloud Function 코드 파일 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

CodeFile

Responses

HTTP CodeDescriptionSchema
202AcceptedCode
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/codes/file

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "class_name": "com.example.Handler",
    "method_name": "handleRequest",
    "obs_url": "https://obs.kr-east1.scp-in.com:8443/sample/java-sample-1.0-SNAPSHOT.jar"
}

Example HTTP response

Response 202

{
    "class_name": "com.example.Handler",
    "code_text": "ZXhwb3J0cy5oYW5kbGVSZXF1ZXN0ID0gYXN5bmM==",
    "code_type": "text",
    "file_name": "sample",
    "file_transfer_status": "sample",
    "file_upload_at": "2025-05-17 00:23:17",
    "method_name": "handleRequest",
    "runtime": "Node.js:20"
}

24 - Update Cloud Function Config

24.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/config

Description

Cloud Function 일반 구성 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionConfig

Responses

HTTP CodeDescriptionSchema
200OKFunctionConfig
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/config

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

Example HTTP response

Response 200

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

24.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/configurations/config

Description

Cloud Function 일반 구성 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionConfig

Responses

HTTP CodeDescriptionSchema
200OKFunctionConfig
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/config

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

Example HTTP response

Response 200

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

24.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/config

Description

Cloud Function 일반 구성 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionConfig

Responses

HTTP CodeDescriptionSchema
200OKFunctionConfig
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/config

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

Example HTTP response

Response 200

{
    "max_scale": "5",
    "memory": "256",
    "min_scale": "1",
    "timeout": "100"
}

25 - Update Cloud Function Cronjob Trigger

25.1 - 1.2

put /v1/triggers/cronjob/{trigger_id}

Description

Cloud Function 트리거 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

CronjobTriggerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

25.2 - 1.1

put /v1/triggers/cronjob/{trigger_id}

Description

Cloud Function 트리거 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

CronjobTriggerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

25.3 - 1.0

put /v1/triggers/cronjob/{trigger_id}

Description

Cloud Function 트리거 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtrigger_id
required
트리거 ID
Example : 1
integerNone
bodybody
required

CronjobTriggerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKTriggerUpdateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/triggers/cronjob/{trigger_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "schedule": "* * * * 0",
    "timezone": "Asia/Tokyo"
}

Example HTTP response

Response 200

{
    "alias": "$LATEST",
    "cloud_function_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
    "triggers": [
        {
            "schedule": "* * * * 0",
            "timezone": "Asia/Tokyo",
            "trigger_id": 1,
            "trigger_name": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_target_account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "trigger_target_srn": "srn:dev2::f32265726b694b32920aa3b111f4c715:::iam:user/9abd88ba08434777a8ca168e799eebbe",
            "trigger_target_uuid": "8c9f6c1c928a45b4bbd1e4da5531d656",
            "trigger_type": "apigateway"
        }
    ]
}

26 - Update Cloud Function Url

26.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

Cloud Function 함수 URL 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

26.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

Cloud Function 함수 URL 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

26.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/url

Description

Cloud Function 함수 URL 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionUrlRequest

Responses

HTTP CodeDescriptionSchema
200OKFunctionUrl
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/url

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "allow_ips": [],
    "auth_type": "NONE",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

Example HTTP response

Response 200

{
    "allow_ips": [
        ""
    ],
    "auth_type": "NONE",
    "public_endpoint_url": "https://scf.33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/sample-function",
    "public_ip_acl_enabled": true,
    "url_enabled": true
}

27 - Update Cloud Function Variables

27.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Description

Cloud Function 환경 변수 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionVariables

Responses

HTTP CodeDescriptionSchema
200OKFunctionVariables
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

Example HTTP response

Response 200

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

27.2 - 1.1

put /v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Description

Cloud Function 환경 변수 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260430

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionVariables

Responses

HTTP CodeDescriptionSchema
200OKFunctionVariables
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.1"

Request body

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

Example HTTP response

Response 200

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

27.3 - 1.0

put /v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Description

Cloud Function 환경 변수 수정

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

FunctionVariables

Responses

HTTP CodeDescriptionSchema
200OKFunctionVariables
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/environment-variables

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.0"

Request body

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

Example HTTP response

Response 200

{
    "variables": [
        {
            "key": "sample",
            "value": "sample"
        }
    ]
}

28 - Update PrivateLink Service

28.1 - 1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-services

Description

PrivateLink Service 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkServicePutRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkService
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scf 1.2"

Request body

{
    "privatelink_service_enabled": true
}

Example HTTP response

Response 202

{
    "private_url": "https://sample.scf.private.kr-west1.e.samsungsdscloud.com",
    "privatelink_service_enabled": true,
    "privatelink_service_id": "ba30549f550141ef9af6546543s",
    "privatelink_service_name": "PRIVATELINKSERVICE",
    "requested_endpoints": []
}